Subject: bug#78713: 30.1; Doc of `desktop-restore-mode-handlers'

From: Juanma Barranquero <[email-masked]>
Date: Sat, 7 Jun 2025 16:34:16 +0200

Hi.

I'm sorry I won't be of much help. Not because of lack of time, but because
I've not used Emacs for a few years now and it's now all kind of nebulous.

That said, I don't think I was ever an expert in that particular bit,
which I suspect will fall more closely in Stefan's ballpark, likely.

On Sat, Jun 7, 2025 at 8:41 AM Eli Zaretskii <[email-masked]> wrote:

> > Date: Fri, 6 Jun 2025 21:08:44 +0000
> > From:  Drew Adams via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> >
> > The doc string says only this about the handler args:
> >
> > Handlers are called with argument list
> >
> >    (DESKTOP-BUFFER-FILE-NAME DESKTOP-BUFFER-NAME DESKTOP-BUFFER-MISC)
> >
> > It should say something about each of those args, in particular, it's
> > not easy to guess what DESKTOP-BUFFER-MISC is.
>
> I think DESKTOP-BUFFER-MISC is not used nowadays (i.e. always nil).
> It seems to be a backward compatibility shim or something.
>
> But to properly document this we need a desktop.el expert.  I CC
> Juanma in the hope that he could find some time to help us out here.
>